[kube_control_plane]
prod-usw2-k8s-freeleaps-master-01 ansible_host=10.10.0.4 ansible_user=wwwadmin@mathmast.com etcd_member_name=freeleaps-etcd-01 host_name=prod-usw2-k8s-freeleaps-master-01
prod-usw2-k8s-freeleaps-master-02 ansible_host=10.10.0.9 ansible_user=wwwadmin@mathmast.com etcd_member_name=freeleaps-etcd-02 host_name=prod-usw2-k8s-freeleaps-master-02
prod-usw2-k8s-freeleaps-master-03 ansible_host=10.10.0.8 ansible_user=wwwadmin@mathmast.com etcd_member_name=freeleaps-etcd-03 host_name=prod-usw2-k8s-freeleaps-master-03

[etcd:children]
kube_control_plane

; If you want to add more nodes to the cluster, you can add them to the [kube_node] group
[kube_node]
; Belows are the original nodes for the cluster, removed from cluster
; prod-usw2-k8s-freeleaps-worker-ingress-01 ansible_host=10.10.0.6 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-ingress-01
; prod-usw2-k8s-freeleaps-worker-ingress-02 ansible_host=10.10.0.7 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-ingress-02
; prod-usw2-k8s-freeleaps-worker-ingress-03 ansible_host=10.10.0.5 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-ingress-03
; prod-usw2-k8s-freeleaps-worker-01 ansible_host=10.10.0.10 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-01
; prod-usw2-k8s-freeleaps-worker-02 ansible_host=10.10.0.11 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-02
; prod-usw2-k8s-freeleaps-worker-03 ansible_host=10.10.0.12 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-03
; prod-usw2-k8s-freeleaps-worker-04 ansible_host=10.10.0.13 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-04
; prod-usw2-k8s-freeleaps-worker-06 ansible_host=10.10.0.15 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-06
; Belows are the newly added nodes for the cluster to reduce cost
prod-usw2-k8s-freeleaps-worker-nodes-01 ansible_host=10.10.0.16 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-nodes-01
prod-usw2-k8s-freeleaps-worker-nodes-02 ansible_host=10.10.0.17 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-nodes-02
prod-usw2-k8s-freeleaps-worker-nodes-03 ansible_host=10.10.0.10 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-nodes-03
; Added for freeleaps-data-platform, F16s V2 (16c 32G)
prod-usw2-k8s-freeleaps-worker-nodes-04 ansible_host=10.10.0.11 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-nodes-04
prod-usw2-k8s-freeleaps-worker-nodes-05 ansible_host=10.10.0.12 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-nodes-05
prod-usw2-k8s-freeleaps-worker-nodes-06 ansible_host=10.10.0.13 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-nodes-06
prod-usw2-k8s-freeleaps-worker-nodes-07 ansible_host=10.10.0.5 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-nodes-07
; Belows are the CI/CD dedicated nodes for the cluster
prod-usw2-k8s-freeleaps-worker-05 ansible_host=10.10.0.14 ansible_user=wwwadmin@mathmast.com host_name=prod-usw2-k8s-freeleaps-worker-05